Bug 188018 - netstat --ip output does not include ssh; options documented poorly
netstat --ip output does not include ssh; options documented poorly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 08:52 EDT by Wojciech Pilorz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 04:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wojciech Pilorz 2006-04-05 08:52:12 EDT
Description of problem:
In FC5 netstat -an --ip does not include ssh;
netstat --an --tcp does include;
IN FC4 both lines did include ssh

Version-Release number of selected component (if applicable):


How reproducible:

have ssh daemon running
compare results of netstat -an --tcp and netstat -an --ip

Actual results:
strace shows that netstat --tcp openes /proc/net/tcp6, while netstat --ip does not;

Expected results:
netstat --ip should show also ssh (why ssh connections made with IPv4 are listed
only in /proc/net/tcp6 is another thing which is somewhat suprising)

Using /proc/net/tcp6 is not dosumented in manpage
Options --tcp --udp, --inet documentation could be better
If --tcp is needed (rather than --ip or --inet) to see some sockets/connections,
that should be documented.

Additional info:
To have result like netstat -a --ip in FC4, it is necessary to 
run netstat -a --tcp --udp,
Comment 1 Wojciech Pilorz 2006-04-05 08:53:41 EDT
Forgot to mention version of net-tools which is net-tools-1.60-62.1
Comment 2 Radek Vokal 2006-04-06 04:23:59 EDT
My ssh connections are listed in /proc/net/tcp. I suppose you aren't using ssh
over IPv4 as you think but it's IPv6. Than the output is correct, the connection
will be listed in netstat with --inet6. The --inet option shows all IPv4
connection (and --inet6 all IPv6) eg. shows tcp, udp and raw connections. With
--tcp, --udp etc options you can select to display just the specific group of
sockets. In my opinion, the behaviour is correct.

Note You need to log in before you can comment on or make changes to this bug.